<!doctype html>

<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Jeu de la fourchette</title>

	

</head>

<body>
	

	L'ordi choisit entre 1 et 100
	je dis plus grand plus petit
 
<script>
	

	function fourchette () {
		var min = 1;
		var max = 100;
		var ordi = 50;
		var player;

		while (player != "!") {

			player = prompt( "est ce + ou - que" + ordi + " ?")

				if ( player == "+") {
					min = ordi;
					ordi = Math.round((min + max)/2);
					continue;
					}

				if ( player == "-") {
					max = ordi;
					ordi = Math.round((min + max)/2);
					continue;
					}

				if (player == "!") {
					alert("tu as gagné");
					return ordi; /*return arrete la fonction et toutes les boucles*/ 
					}		

				else { 
					alert("je n'ai pas compris");
					continue;
					}
			}
	}

</script>

</body>